=== debian/control ===
Source: glui
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Bradley Smith <bradsmith@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 10), freeglut3-dev, cdbs, cmake
Homepage: http://glui.sourceforge.net/
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-glui.git
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-glui.git

Package: libglui2c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:depends}
Conflicts: libglui2, libglui2c102
Description: GLUI, a C++ GLUT based GUI library - Runtime support
 GLUI provides controls such as buttons, checkboxes, radio buttons, and
 spinners to OpenGL applications.  It is window-system independent, relying
 on GLUT to handle all system-dependent issues, such as window and mouse
 management. Features of the GLUI User Interface Library include:
 .
  - Complete integration with GLUT toolkit
  - Simple creation of a new user interface window with a single line of
    code
  - Support for multiple user interface windows
  - Standard user interface controls such as:
       - Buttons
       - Checkboxes for boolean variables
       - Radio Buttons for mutually-exclusive options
       - Editable text boxes for inputting text, integers, and
         floating-point values
       - Spinners for interactively manipulating integer and floating-point
         values
       - Static text fields
       - Panels for grouping sets of controls
       - Separator lines to help visually organize groups of controls
  - Controls can generate callbacks when their values change
  - Variables can be linked to controls and automatically updated when the
    value of the control changes ("live variables")
  - Controls can be automatically synchronized to reflect changes in live
    variables
  - Controls can trigger GLUT redisplay events when their values change
  - Layout and sizing of controls is automatic
  - Controls can be grouped into columns
  - User can cycle through controls using Tab key

Package: libglui-dev
Architecture: any
Section: libdevel
Depends: libglui2c2 (= ${binary:Version}), ${misc:depends}, freeglut3-dev
Description: A GLUT-based C++ user interface library
 GLUI provides controls such as buttons, checkboxes, radio buttons, and
 spinners to OpenGL applications.  It is window-system independent, relying
 on GLUT to handle all system-dependent issues, such as window and mouse
 management. Features of the GLUI User Interface Library include:
 .
  - Complete integration with GLUT toolkit
  - Simple creation of a new user interface window with a single line of
    code
  - Support for multiple user interface windows
  - Standard user interface controls such as:
       - Buttons
       - Checkboxes for boolean variables
       - Radio Buttons for mutually-exclusive options
       - Editable text boxes for inputting text, integers, and
         floating-point values
       - Spinners for interactively manipulating integer and floating-point
         values
       - Static text fields
       - Panels for grouping sets of controls
       - Separator lines to help visually organize groups of controls
  - Controls can generate callbacks when their values change
  - Variables can be linked to controls and automatically updated when the
    value of the control changes ("live variables")
  - Controls can be automatically synchronized to reflect changes in live
    variables
  - Controls can trigger GLUT redisplay events when their values change
  - Layout and sizing of controls is automatic
  - Controls can be grouped into columns
  - User can cycle through controls using Tab key
 .
 This package contains the development files.
