=== debian/watch ===
version=3
http://sf.net/glui/glui-(.*)\.tgz
